org.appng.api.support

## Class SelectionFactory.Selection

- java.lang.Object
- - org.appng.xml.BaseObject
  - - org.appng.xml.platform.Selection
    - - org.appng.api.support.SelectionFactory.Selection

- All Implemented Interfaces:
    Serializable, OptionOwner
  Enclosing class:
    SelectionFactory

      public class SelectionFactory.Selection
      extends Selection
      implements OptionOwner

  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.appng.api.support.OptionOwner

      `OptionOwner.HitCounter<T>, OptionOwner.OptionOwnerBase, OptionOwner.Selector`

  - ### Field Summary

    - ### Fields inherited from class org.appng.xml.platform.Selection

      `autosubmit, format, id, optionGroups, options, title, tooltip, type`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Selection(String id, String titleId)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addOption(Option option)`
    `Option` | `addOption(String name, String value, boolean selected)`

    - ### Methods inherited from class org.appng.xml.platform.Selection

      `getFormat, getId, getOptionGroups, getOptions, getTitle, getTooltip, getType, isAutosubmit, setAutosubmit, setFormat, setId, setTitle, setTooltip, setType`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.appng.api.support.OptionOwner

      `getOptions`

- - ### Constructor Detail

    - #### Selection

          public Selection(String id,
                           String titleId)

  - ### Method Detail

    - #### addOption

          public void addOption(Option option)

      Specified by:
        `addOption` in interface `OptionOwner`

    - #### addOption

          public Option addOption(String name,
                                  String value,
                                  boolean selected)

      Specified by:
        `addOption` in interface `OptionOwner`

Copyright © 2011–2023 aiticon GmbH. All rights reserved.